Debian Bug report logs - #679299
fusioninventory-agent: fails to purge - command ucf in postrm not found

version graph

Package: fusioninventory-agent; Maintainer for fusioninventory-agent is Gonéri Le Bouder <goneri@debian.org>; Source for fusioninventory-agent is src:fusioninventory-agent.

Reported by: Andreas Beckmann <anbe@debian.org>

Date: Wed, 27 Jun 2012 18:09:01 UTC

Severity: important

Found in versions fusioninventory-agent/2.2.3-2, fusioninventory-agent/2.2.3-1

Fixed in version fusioninventory-agent/2.2.3-5

Done: Gonéri Le Bouder <goneri@rulezlan.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Gonéri Le Bouder <goneri@rulezlan.org>:
Bug#679299; Package fusioninventory-agent. (Wed, 27 Jun 2012 18:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <debian@abeckmann.de>:
New Bug report received and forwarded. Copy sent to Gonéri Le Bouder <goneri@rulezlan.org>. (Wed, 27 Jun 2012 18:09:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <debian@abeckmann.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: fusioninventory-agent: fails to purge - command ucf in postrm not found
Date: Wed, 27 Jun 2012 20:07:08 +0200
[Message part 1 (text/plain, inline)]
Package: fusioninventory-agent
Version: 2.2.3-1
Severity: important
User: debian-qa@lists.debian.org
Usertags: piuparts

Hi,

during a test with piuparts I noticed your package failed to purge due
to a command not found. According to policy 7.2 you cannot rely on the
depends being available during purge, only the essential packages are
available for sure.

Please see the manpages ucf(1), ucfr(1) and the example maintainer
scripts under /usr/share/doc/ucf/examples/ for correct usage of ucf.

Filing this as important because a.) it's a clear policy violation (to
not clean up at purge) b.) having a piuparts clean archive is a release
goal since lenny and c.) this package being piuparts buggy blocks
packages depending on it from being tested by piuparts (and thus
possibly the detection of more severe problems).

>From the attached log (scroll to the bottom...):

  Removing fusioninventory-agent ...
  Purging configuration files for fusioninventory-agent ...
  /var/lib/dpkg/info/fusioninventory-agent.postrm: 24: /var/lib/dpkg/info/fusioninventory-agent.postrm: ucf: not found
  dpkg: error processing fusioninventory-agent (--purge):
   subprocess installed post-removal script returned error exit status 127
  Errors were encountered while processing:
   fusioninventory-agent


cheers,

Andreas
[fusioninventory-agent_2.2.3-1.log.gz (application/x-gzip, attachment)]

Reply sent to Gonéri Le Bouder <goneri@rulezlan.org>:
You have taken responsibility. (Fri, 29 Jun 2012 23:57:10 GMT) Full text and rfc822 format available.

Notification sent to Andreas Beckmann <debian@abeckmann.de>:
Bug acknowledged by developer. (Fri, 29 Jun 2012 23:57:11 GMT) Full text and rfc822 format available.

Message #10 received at 679299-close@bugs.debian.org (full text, mbox):

From: Gonéri Le Bouder <goneri@rulezlan.org>
To: 679299-close@bugs.debian.org
Subject: Bug#679299: fixed in fusioninventory-agent 2.2.3-2
Date: Fri, 29 Jun 2012 23:54:01 +0000
Source: fusioninventory-agent
Source-Version: 2.2.3-2

We believe that the bug you reported is fixed in the latest version of
fusioninventory-agent, which is due to be installed in the Debian FTP archive:

fusioninventory-agent_2.2.3-2.diff.gz
  to main/f/fusioninventory-agent/fusioninventory-agent_2.2.3-2.diff.gz
fusioninventory-agent_2.2.3-2.dsc
  to main/f/fusioninventory-agent/fusioninventory-agent_2.2.3-2.dsc
fusioninventory-agent_2.2.3-2_amd64.deb
  to main/f/fusioninventory-agent/fusioninventory-agent_2.2.3-2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 679299@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Gonéri Le Bouder <goneri@rulezlan.org> (supplier of updated fusioninventory-agent package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 30 Jun 2012 00:04:37 +0200
Source: fusioninventory-agent
Binary: fusioninventory-agent
Architecture: source amd64
Version: 2.2.3-2
Distribution: unstable
Urgency: low
Maintainer: Gonéri Le Bouder <goneri@rulezlan.org>
Changed-By: Gonéri Le Bouder <goneri@rulezlan.org>
Description: 
 fusioninventory-agent - Hardware and software inventory tool (client)
Closes: 675254 679299
Changes: 
 fusioninventory-agent (2.2.3-2) unstable; urgency=low
 .
   * Add a dependency on ucf (closes: #679299)
   * Add a logrotate script (closes: #675254)
   * Adjust the path to the GPL licence file (GPL-2)
   * Clean up the dependency list
Checksums-Sha1: 
 dd45b7eb98d6665134c5feb76a01db24a1eb98ea 1728 fusioninventory-agent_2.2.3-2.dsc
 8502f85a10ac8d474f326a4b03dae9dcd391d51a 6370 fusioninventory-agent_2.2.3-2.diff.gz
 d263ca187618934611bb42e503ac80126f09b6ec 304118 fusioninventory-agent_2.2.3-2_amd64.deb
Checksums-Sha256: 
 9d488a42dc79a2e29a3ca0bb9a99b97b912f0f8c5126c25a4b5daf57be5a1d50 1728 fusioninventory-agent_2.2.3-2.dsc
 31f04eaed518593fa9b6c5005bb88e1d01fdcde86f871e726bf5b8eac52147e3 6370 fusioninventory-agent_2.2.3-2.diff.gz
 ea3f485fb2d9a998750fb0afa20b8963c4d38e8f7c91f0bc98aaf6da03b0a860 304118 fusioninventory-agent_2.2.3-2_amd64.deb
Files: 
 ef677787d52629c8c38ab56daf736896 1728 net extra fusioninventory-agent_2.2.3-2.dsc
 607930efa7e86e05f61d6e2c443732f9 6370 net extra fusioninventory-agent_2.2.3-2.diff.gz
 2a146d25626650ac34a00d5c77117d0a 304118 net extra fusioninventory-agent_2.2.3-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAk/uOpcACgkQsKTFpDfZQSw1gACeP7Phlu+yglqLIH9P52R/oiRi
q5QAoIBxDLbcKjp+1QV+ylC7aQb+xdTA
=r4U/
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Gonéri Le Bouder <goneri@rulezlan.org>:
Bug#679299; Package fusioninventory-agent. (Sat, 30 Jun 2012 20:45:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <debian@abeckmann.de>:
Extra info received and forwarded to list. Copy sent to Gonéri Le Bouder <goneri@rulezlan.org>. (Sat, 30 Jun 2012 20:45:07 GMT) Full text and rfc822 format available.

Message #15 received at 679299@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <debian@abeckmann.de>
To: Debian Bug Tracking System <679299@bugs.debian.org>
Subject: Re: fusioninventory-agent: fails to purge - command ucf in postrm not found
Date: Sat, 30 Jun 2012 22:41:08 +0200
Package: fusioninventory-agent
Followup-For: Bug #679299

Hi,

the problem is still present in 2.2.3-2. 

> According to policy 7.2 you cannot rely on the
> depends being available during purge, only the essential packages are
> available for sure.
>
> Please see the manpages ucf(1), ucfr(1) and the example maintainer
> scripts under /usr/share/doc/ucf/examples/ for correct usage of ucf.

Andreas




Marked as found in versions fusioninventory-agent/2.2.3-2; no longer marked as fixed in versions fusioninventory-agent/2.2.3-2 and reopened. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Sat, 30 Jun 2012 21:36:19 GMT) Full text and rfc822 format available.

Reply sent to Gonéri Le Bouder <goneri@rulezlan.org>:
You have taken responsibility. (Fri, 21 Sep 2012 16:21:11 GMT) Full text and rfc822 format available.

Notification sent to Andreas Beckmann <debian@abeckmann.de>:
Bug acknowledged by developer. (Fri, 21 Sep 2012 16:21:11 GMT) Full text and rfc822 format available.

Message #22 received at 679299-close@bugs.debian.org (full text, mbox):

From: Gonéri Le Bouder <goneri@rulezlan.org>
To: 679299-close@bugs.debian.org
Subject: Bug#679299: fixed in fusioninventory-agent 2.2.3-3
Date: Fri, 21 Sep 2012 16:17:48 +0000
Source: fusioninventory-agent
Source-Version: 2.2.3-3

We believe that the bug you reported is fixed in the latest version of
fusioninventory-agent, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 679299@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Gonéri Le Bouder <goneri@rulezlan.org> (supplier of updated fusioninventory-agent package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 11 Jul 2012 12:11:55 -0300
Source: fusioninventory-agent
Binary: fusioninventory-agent
Architecture: source amd64
Version: 2.2.3-3
Distribution: unstable
Urgency: low
Maintainer: Gonéri Le Bouder <goneri@rulezlan.org>
Changed-By: Gonéri Le Bouder <goneri@rulezlan.org>
Description: 
 fusioninventory-agent - Hardware and software inventory tool (client)
Closes: 679299 684855
Changes: 
 fusioninventory-agent (2.2.3-3) unstable; urgency=low
 .
   * Add a post{inst,rm} scripts to prepeare and clean up
     the config file, thanks Andreas Beckmann (closes: #679299)
   * Depends on libio-socket-ssl-perl instead of libnet-ssleay-perl
     directly
   * Migrate debian/copyright to Machine-readable format
   * Add a B-D on libio-socket-ssl-perl
   * Backport SSL cert from upstream, the ones from the archive were expired,
     thanks Gregor Herrmann and Lucas Nussbaum (closes: #684855)
Checksums-Sha1: 
 7aa28af53ea2483f13d4a3ac06d4ff6575c899a8 1754 fusioninventory-agent_2.2.3-3.dsc
 3ead1b7d91c4df37d6d361898f65e1f3a85525b8 17175 fusioninventory-agent_2.2.3-3.diff.gz
 8bbc8f75ee1a51414ca3c916caa7e755a82baac3 305270 fusioninventory-agent_2.2.3-3_amd64.deb
Checksums-Sha256: 
 662424365bddb36f1d8348e585c1e60e1192589636dfe3b63f21fab64655b027 1754 fusioninventory-agent_2.2.3-3.dsc
 5696b823d156ed08a4fef37e1479921427b36729e75363d8445dc1087e1ec3f1 17175 fusioninventory-agent_2.2.3-3.diff.gz
 318327a946d7556b51007cf454d3626d6c49d47abefb8515cc3e389528ad4ed5 305270 fusioninventory-agent_2.2.3-3_amd64.deb
Files: 
 68c85e9d644c45f6328546d47aba36e9 1754 net extra fusioninventory-agent_2.2.3-3.dsc
 b092d33f345a002f64e876b5235d8e86 17175 net extra fusioninventory-agent_2.2.3-3.diff.gz
 0ebc5c89e12530ab7c5b261cc1c1fbff 305270 net extra fusioninventory-agent_2.2.3-3_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlBckF8ACgkQsKTFpDfZQSykNACgkvIwAz5Q7Ga3wSHVB81O4PuQ
GUYAn0QiCu4ldEkAixsbtuZtrkWoYp6V
=8dJK
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Gonéri Le Bouder <goneri@rulezlan.org>:
Bug#679299; Package fusioninventory-agent. (Sat, 29 Sep 2012 15:54:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Gonéri Le Bouder <goneri@rulezlan.org>. (Sat, 29 Sep 2012 15:54:06 GMT) Full text and rfc822 format available.

Message #27 received at 679299@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: 679299@bugs.debian.org
Subject: Re: Bug#679299: fixed in fusioninventory-agent 2.2.3-3
Date: Sat, 29 Sep 2012 16:49:51 +0100
Control: reopen -1 2.2.3-3

Looking through the diff for the upload closing this bug, I spotted
this:

+    if which ucfr >/dev/null; then
+        ucfr --purge foo /etc/fusioninventory/agent.conf
+    fi

Your package isn't named "foo", so the above invocation is obviously
incorrect. The registering of the file also looks odd:

+    ucf /usr/share/doc/fusioninventory-agent/agent.cfg /etc/fusioninventory/agent.cfg
+    ucfr fusioninventory-agent /etc/fusioninventory/agent.

I'm assuming the second line is missing a "cfg"?

The postinst and postrm also seem confused as to what the configuration
file is called:

+       rm -f /etc/fusioninventory/agent.conf$ext
+    rm -f /etc/fusioninventory/agent.conf
+        ucf --purge /etc/fusioninventory/agent.conf
+        ucfr --purge foo /etc/fusioninventory/agent.conf
+    ucf /usr/share/doc/fusioninventory-agent/agent.cfg /etc/fusioninventory/agent.cfg

A quick look over the rest of the package suggests it should be .cfg?

Finally, from a reviewer's perspective, it would have been helpful if
the changes to the postrm didn't include noise such as

+  remove)
+    # This package is being removed, but its configuration has not yet
+    # been purged.
+    :
+
+    # Remove diversion
+    : dpkg-divert --package foo --remove --rename \
+    :             --divert /usr/bin/other.real /usr/bin/other
+
+    # ldconfig is NOT needed during removal of a library, only during
+    # installation

Regards,

Adam




Bug reopened Request was from Adam D. Barratt <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Sat, 29 Sep 2012 16:00:02 GMT) Full text and rfc822 format available.

No longer marked as fixed in versions fusioninventory-agent/2.2.3-3. Request was from Adam D. Barratt <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Sat, 29 Sep 2012 16:00:03 GMT) Full text and rfc822 format available.

Reply sent to Gonéri Le Bouder <goneri@rulezlan.org>:
You have taken responsibility. (Wed, 07 Nov 2012 12:21:07 GMT) Full text and rfc822 format available.

Notification sent to Andreas Beckmann <debian@abeckmann.de>:
Bug acknowledged by developer. (Wed, 07 Nov 2012 12:21:07 GMT) Full text and rfc822 format available.

Message #36 received at 679299-close@bugs.debian.org (full text, mbox):

From: Gonéri Le Bouder <goneri@rulezlan.org>
To: 679299-close@bugs.debian.org
Subject: Bug#679299: fixed in fusioninventory-agent 2.2.3-4
Date: Wed, 07 Nov 2012 12:17:34 +0000
Source: fusioninventory-agent
Source-Version: 2.2.3-4

We believe that the bug you reported is fixed in the latest version of
fusioninventory-agent, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 679299@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Gonéri Le Bouder <goneri@rulezlan.org> (supplier of updated fusioninventory-agent package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 03 Nov 2012 13:34:31 +0100
Source: fusioninventory-agent
Binary: fusioninventory-agent
Architecture: source amd64
Version: 2.2.3-4
Distribution: unstable
Urgency: low
Maintainer: Gonéri Le Bouder <goneri@rulezlan.org>
Changed-By: Gonéri Le Bouder <goneri@rulezlan.org>
Description: 
 fusioninventory-agent - Hardware and software inventory tool (client)
Closes: 679299
Changes: 
 fusioninventory-agent (2.2.3-4) unstable; urgency=low
 .
   * fix the postrm script, thanks Adam D. Barratt,
     (closes: #679299)
   * Import bug fixes from upstream
   * Disable t/components/server.t, the test is too fragile. it needs to be
     able to bind port 8080.
Checksums-Sha1: 
 2936301004fddd8093c6e698c98934c6ff94f69e 1754 fusioninventory-agent_2.2.3-4.dsc
 cbda76b07cfc3a3b780b461068f619b2455c1b45 23909 fusioninventory-agent_2.2.3-4.diff.gz
 6f27cebf6a11153e9a8179315bf9a5f2e34bf115 305362 fusioninventory-agent_2.2.3-4_amd64.deb
Checksums-Sha256: 
 10497806ce2ef0a42ff4cc49d311b05910ead49bdf32a6a824398d81b248f695 1754 fusioninventory-agent_2.2.3-4.dsc
 87c2e90d852d78841e30f97a90dc05489c283293e5f42123c9aa8a311543d2b9 23909 fusioninventory-agent_2.2.3-4.diff.gz
 e3d9df117bde095f884c592bec084a1cb02437d00d44de702b0fb0fe1c03165f 305362 fusioninventory-agent_2.2.3-4_amd64.deb
Files: 
 5de1e791784e87f291303035b537a1c3 1754 net extra fusioninventory-agent_2.2.3-4.dsc
 eca523844b09f7b58328d94922f50daf 23909 net extra fusioninventory-agent_2.2.3-4.diff.gz
 90aa97913a049a005d4e2f6d708b12ab 305362 net extra fusioninventory-agent_2.2.3-4_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlCaTrAACgkQsKTFpDfZQSzxbACff9md/nUhcKIGbAGA1jFDL8DP
qFQAniK1pt3kT7BF+gCAFQdtTsHmn0OX
=cOa7
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Gonéri Le Bouder <goneri@rulezlan.org>:
Bug#679299; Package fusioninventory-agent. (Tue, 13 Nov 2012 14:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Gonéri Le Bouder <goneri@rulezlan.org>. (Tue, 13 Nov 2012 14:39:03 GMT) Full text and rfc822 format available.

Message #41 received at 679299@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Gonéri Le Bouder <goneri@rulezlan.org>
Cc: 679299@bugs.debian.org
Subject: Re: Bug#679299: fixed in fusioninventory-agent 2.2.3-4
Date: Tue, 13 Nov 2012 14:35:44 +0000
Control: reopen -1

On Wed, 2012-11-07 at 12:17 +0000, Gonéri Le Bouder wrote:
> Source: fusioninventory-agent
> Source-Version: 2.2.3-4
> 
> We believe that the bug you reported is fixed in the latest version of
> fusioninventory-agent, which is due to be installed in the Debian FTP archive.
[...]
>    * fix the postrm script, thanks Adam D. Barratt,
>      (closes: #679299)

Unfortunately the maintainer scripts are still broken.

postrm:

+    for ext in '~' '%' .bak .ucf-new .ucf-old .ucf-dist;  do
+       rm -f /etc/fusioninventory/agent.conf$ext
+    done
+
+    # remove the configuration file itself
+    rm -f /etc/fusioninventory/agent.conf
[...]
+    # and finally clear it out from the ucf database
+    if which ucf >/dev/null; then
+        ucf --purge /etc/fusioninventory/agent.conf
+    fi
+    if which ucfr >/dev/null; then
+        ucfr --purge fusioninventory-agent /etc/fusioninventory/agent.conf

The file shipped in the package appears to be agent.cfg.

postinst:

+    ucf /usr/share/doc/fusioninventory-agent/agent.cfg /etc/fusioninventory/agent.cfg

That's a policy violation; specifically section 12.3.

+    ucfr fusioninventory-agent /etc/fusioninventory/agent.

There appears to be a "cfg" missing from the end of that line.

The package also appears to be still shipping the file directly
in /etc/, which seems wrong.

Regards,

Adam




Bug reopened Request was from "Adam D. Barratt" <adam@adam-barratt.org.uk> to 679299-submit@bugs.debian.org. (Tue, 13 Nov 2012 14:39:03 GMT) Full text and rfc822 format available.

No longer marked as fixed in versions fusioninventory-agent/2.2.3-4. Request was from "Adam D. Barratt" <adam@adam-barratt.org.uk> to 679299-submit@bugs.debian.org. (Tue, 13 Nov 2012 14:39:04 GMT) Full text and rfc822 format available.

Reply sent to Gonéri Le Bouder <goneri@rulezlan.org>:
You have taken responsibility. (Sun, 25 Nov 2012 15:36:06 GMT) Full text and rfc822 format available.

Notification sent to Andreas Beckmann <debian@abeckmann.de>:
Bug acknowledged by developer. (Sun, 25 Nov 2012 15:36:06 GMT) Full text and rfc822 format available.

Message #50 received at 679299-close@bugs.debian.org (full text, mbox):

From: Gonéri Le Bouder <goneri@rulezlan.org>
To: 679299-close@bugs.debian.org
Subject: Bug#679299: fixed in fusioninventory-agent 2.2.3-5
Date: Sun, 25 Nov 2012 15:32:39 +0000
Source: fusioninventory-agent
Source-Version: 2.2.3-5

We believe that the bug you reported is fixed in the latest version of
fusioninventory-agent, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 679299@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Gonéri Le Bouder <goneri@rulezlan.org> (supplier of updated fusioninventory-agent package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 25 Nov 2012 16:14:15 +0100
Source: fusioninventory-agent
Binary: fusioninventory-agent
Architecture: source amd64
Version: 2.2.3-5
Distribution: unstable
Urgency: low
Maintainer: Gonéri Le Bouder <goneri@rulezlan.org>
Changed-By: Gonéri Le Bouder <goneri@rulezlan.org>
Description: 
 fusioninventory-agent - Hardware and software inventory tool (client)
Closes: 679299
Changes: 
 fusioninventory-agent (2.2.3-5) unstable; urgency=low
 .
   * Yet another maintain scripts update :(, thanks Adam D. Barratt,
     (closes: #679299)
   * Disable 2 unit tests known for depending to much on the machine
     configuration (using port 8080). These tests were enough to create FTBFS
     time to time (e.g: s390 for 2.2.3-4)
Checksums-Sha1: 
 1aa98db3a061dbef8bacda7f6e09fbf723d838df 1754 fusioninventory-agent_2.2.3-5.dsc
 d2e646c4ffbbd6e4ab56795a3bb5085c1f235bf4 24029 fusioninventory-agent_2.2.3-5.diff.gz
 b3df0aa20a725afa12855e4f69e370e975dae28c 305548 fusioninventory-agent_2.2.3-5_amd64.deb
Checksums-Sha256: 
 3167a91fb6698a51cb8fa922b817f0d750268373bc8d4a193ee01f8abf8cebdd 1754 fusioninventory-agent_2.2.3-5.dsc
 a47b36b774787ac8a794983c3f9084492e4fd1359b7f04420fb175afe9768c3d 24029 fusioninventory-agent_2.2.3-5.diff.gz
 2b4842b48e302edb0254963b8a675b43ab4b38357f398e0f74b7af19091de794 305548 fusioninventory-agent_2.2.3-5_amd64.deb
Files: 
 e9dad0a0d5f63338b5b3abd02dfd4216 1754 net extra fusioninventory-agent_2.2.3-5.dsc
 5e9fdcfeef4fc611deb514b8323381ef 24029 net extra fusioninventory-agent_2.2.3-5.diff.gz
 5c4395afb4c900d16f0755b8986033d1 305548 net extra fusioninventory-agent_2.2.3-5_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlCyOZcACgkQsKTFpDfZQSzvEwCfV6KgUl1KTEqAvtTqVWvrHcEa
zGEAoIbWO5uqVdp7tkRuHiK37bdw7ctR
=q7c4
-----END PGP SIGNATURE-----




Changed Bug submitter to 'Andreas Beckmann <anbe@debian.org>' from 'Andreas Beckmann <debian@abeckmann.de>' Request was from Andreas Beckmann <anbe@debian.org> to control@bugs.debian.org. (Sat, 26 Jan 2013 06:27:08 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 10 Apr 2013 07:29:16 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 09:12:45 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.